# Tax · DameDoklad API

> Operations in the Tax group.

Source: https://damedoklad.cz/en/docs/api-reference/Tax/

# Tax

Operations in the Tax group.

## Carry out the § 74b correction of one received invoice as computed: per VAT rate, in crowns, for the part that is due, posted to 343, reported in the period the Act sets

POST `/v1/tax/bad-debts/debtor-due/{id}/correct`

Carry out the § 74b correction of one received invoice as computed: per VAT rate, in crowns, for the part that is due, posted to 343, reported in the period the Act sets

MCP tool: `correct-tax-debtor-deduction`

### Path parameters

`id` string required

### Request body

`action` "reduce" | "restore" required

`correctionDate` string YYYY-MM-DD

Date as YYYY-MM-DD.

`evidenceNumber` string max 60 chars

### Response · 201

`documentId` null | string required

`action` string required

`data` object\[\] required

`id` string required

`correctionDate` string required date

`vatRate` integer required

`unpaidHaler` integer required

`baseHaler` integer | null required

`vatHaler` integer | null required

```bash
curl -X POST https://api.damedoklad.cz/v1/tax/bad-debts/debtor-due/obj_2n9F4kT7wQ1xYz0aBcDeFgHiJkL/correct \
  -H "Authorization: Bearer $DAMEDOKLAD_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "reduce"
}'
```

```javascript
const response = await fetch('https://api.damedoklad.cz/v1/tax/bad-debts/debtor-due/obj_2n9F4kT7wQ1xYz0aBcDeFgHiJkL/correct', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.DAMEDOKLAD_API_KEY}`,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    "action": "reduce"
  }),
});
const data = await response.json();
```

```python
import os
import requests

response = requests.post(
    "https://api.damedoklad.cz/v1/tax/bad-debts/debtor-due/obj_2n9F4kT7wQ1xYz0aBcDeFgHiJkL/correct",
    headers={"Authorization": f"Bearer {os.environ['DAMEDOKLAD_API_KEY']}"},
    json={
        "action": "reduce"
    },
)
data = response.json()
```
